Package org.codehaus.groovy.ast.expr

## Class CastExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.CastExpression

- All Implemented Interfaces:
    `GroovydocHolder<AnnotatedNode>`, `NodeMetaDataHandler`

      public class CastExpression
      extends Expression

  Represents a typecast expression.

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

      `EMPTY_ARRAY`

    - ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

      `DOC_COMMENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CastExpression​(ClassNode type, Expression expression)` |
    `CastExpression​(ClassNode type, Expression expression, boolean ignoreAutoboxing)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CastExpression` | `asExpression​(ClassNode type, Expression expression)` |
    `Expression` | `getExpression()` |
    `String` | `getText()` |
    `boolean` | `isCoerce()` |
    `boolean` | `isIgnoringAutoboxing()` |
    `boolean` | `isStrict()` | If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST).
    `void` | `setCoerce​(boolean coerce)` |
    `void` | `setStrict​(boolean strict)` | If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST).
    `void` | `setType​(ClassNode type)` |
    `String` | `toString()` |
    `Expression` | `transformExpression​(ExpressionTransformer transformer)` | Return a copy of the expression calling the transformer on any nested expressions
    `void` | `visit​(GroovyCodeVisitor visitor)` |

    - ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

      `getType, transformExpressions, transformExpressions`

    - ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

      `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

      `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- - ### Constructor Detail

    - #### CastExpression

          public CastExpression​(ClassNode type,
                                Expression expression)

    - #### CastExpression

          public CastExpression​(ClassNode type,
                                Expression expression,
                                boolean ignoreAutoboxing)

  - ### Method Detail

    - #### asExpression

          public static CastExpression asExpression​(ClassNode type,
                                                    Expression expression)

    - #### getExpression

          public Expression getExpression()

    - #### isIgnoringAutoboxing

          public boolean isIgnoringAutoboxing()

    - #### isCoerce

          public boolean isCoerce()

    - #### setCoerce

          public void setCoerce​(boolean coerce)

    - #### isStrict

          public boolean isStrict()

      If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST).

    - #### setStrict

          public void setStrict​(boolean strict)

      If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST).

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### visit

          public void visit​(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### transformExpression

          public Expression transformExpression​(ExpressionTransformer transformer)

      Description copied from class: `Expression`
      Return a copy of the expression calling the transformer on any nested expressions
      Specified by:
        `transformExpression` in class `Expression`

    - #### getText

          public String getText()

      Overrides:
        `getText` in class `ASTNode`

    - #### setType

          public void setType​(ClassNode type)

      Overrides:
        `setType` in class `Expression`